proc wfobj_makeframe {} {

   global ddh_obj_cfgfile
   global ddh_obj_writegroups
   global ddh_obj_ac3dgroups
   global ddh_obj_copytextures
   global ddh_obj_fulltexpaths
   global ddh_obj_backslashpaths
   set ddh_obj_cfgfile       "null"
   set ddh_obj_writegroups    1
   set ddh_obj_ac3dgroups     1
   set ddh_obj_copytextures   0
   set ddh_obj_fulltexpaths   1
   set ddh_obj_backslashpaths 0

   toplevel .wfobj
   wm title .wfobj "OBJ export"
   wm transient .wfobj [winfo toplevel [winfo parent .wfobj]]

   set width 6
   set ypad 3

   # Group data
   frame .wfobj.frmgrp
   pack .wfobj.frmgrp -side top -fill x

   checkbutton .wfobj.frmgrp.writegroups -text "Write group info" -variable ddh_obj_writegroups
   pack .wfobj.frmgrp.writegroups -anchor w
   checkbutton .wfobj.frmgrp.ac3dgroups -text "Use AC3D groups" -variable ddh_obj_ac3dgroups
   pack .wfobj.frmgrp.ac3dgroups -anchor w -padx 16
   checkbutton .wfobj.frmgrp.copytex -text "Copy texture to OBJ folder/directory" -variable ddh_obj_copytextures
   pack .wfobj.frmgrp.copytex -anchor w
   checkbutton .wfobj.frmgrp.fullpath -text "Full texture paths" -variable ddh_obj_fulltexpaths
   pack .wfobj.frmgrp.fullpath -anchor w
   checkbutton .wfobj.frmgrp.bspath -text "Force backslashes in texture paths" -variable ddh_obj_backslashpaths
   pack .wfobj.frmgrp.bspath -anchor w -padx 16

   add_balloon .wfobj.frmgrp.writegroups "Write group info to OBJ file"
   add_balloon .wfobj.frmgrp.ac3dgroups "Use AC3D groups when determining groups.  If this is not checked, each AC3D object will be written as a separate group"
   add_balloon .wfobj.frmgrp.copytex "Copy each texture to the output OBJ directory (unless it's already there)"
   add_balloon .wfobj.frmgrp.fullpath "Include the full pathname to the file."
   add_balloon .wfobj.frmgrp.bspath "When outputting the full pathname to the material file, separate directories/folders with backslashes (default is forward)."

   # Space
   frame .wfobj.frmspace1
   pack .wfobj.frmspace1 -side top -fill x -pady $ypad

   frame .wfobj.frmbtn
   pack .wfobj.frmbtn -side top -fill x -pady $ypad
   button .wfobj.frmbtn.btnapply -text "Export OBJ..." -command {
      eval ac3d ddh_obj_export $ddh_obj_writegroups $ddh_obj_ac3dgroups $ddh_obj_copytextures $ddh_obj_fulltexpaths $ddh_obj_backslashpaths {$ddh_obj_cfgfile}
      destroy .wfobj
   }
   pack .wfobj.frmbtn.btnapply -side left -fill x -expand 1

}

proc wfobj_dialog {} {

   if ![winfo exists .wfobj] {
      wfobj_makeframe
   }

   wm deiconify .wfobj
   centre_window_on_screen .wfobj

}

